#ifndef M4A_H
#define M4A_H

#include "playback.h"

/**
 * Set decoder parameters for M4A/AAC.
 *
 * \param	decoder Structure to store parameters.
 */
void setM4a(struct decoder_fn* decoder);

/**
 * Check if a file is an M4A/AAC/ALAC file.
 *
 * \param	file	File location.
 * \return			0 on success, -1 on failure.
 */
int isM4a(const char* file);

#endif
